#
#
# 	Loren Williams, Georgia Tech
# 	pymol script for amyloids
#
#
#	From the paper 	
# 	Salveson PJ, Spencer RK, & Nowick JS (2016) X-Ray Crystallographic Structure of
# 	Oligomers Formed by a Toxic Β-Hairpin Derived from Α-Synuclein: Trimers and
# 	Higher-Order Oligomers. J. Am. Chem. Soc. 138(13):4458-4467.
#   PDB Entries: 4P4V, 4P4W, 4P4X, 4P4Y, 4P4Z, 4WC8, and 4X0S
#
#
reinitialize
bg_color white

load files/4P4V.pdb
load files/4P4W.pdb
load files/4P4X.pdb
load files/4P4Y.pdb
load files/4P4Z.pdb
load files/4WC8.pdb
load files/4X0S.pdb
run files/python_scripts/list_hbonds.py

remove resn hoh
remove resn SO4
remove name H*

create 1------4P4V----------------, 4P4V

create ribbon_4P4V, 4P4V
create stick_bbone_4P4V, 4P4V
list_hb stick_bbone_4P4V and name N, stick_bbone_4P4V and name O, angle = 45, cutoff=3.4, hb_list_name = hbonds_4P4V
create stick_4P4V, 4P4V
create surface_4P4V, 4P4V

create 2------4P4W----------------, 4P4W
create ribbon_4P4W, 4P4W
create stick_bbone_4P4W, 4P4W
list_hb stick_bbone_4P4W and name N, stick_bbone_4P4W and name O, angle = 45, cutoff=3.4, hb_list_name = hbonds_4P4W
create stick_4P4W, 4P4W
create surface_4P4W, 4P4W

create 3------4P4X----------------, 4P4X
create ribbon_4P4X, 4P4X
create stick_bbone_4P4X, 4P4X
list_hb stick_bbone_4P4X and name N, stick_bbone_4P4X and name O, angle = 45, cutoff=3.4, hb_list_name = hbonds_4P4X
create stick_4P4X, 4P4X
create surface_4P4X, 4P4X

create 4-----4P4Z-----------------, 4P4Z
create ribbon_4P4Z, 4P4Z
create stick_bbone_4P4Z, 4P4Z
list_hb stick_bbone_4P4Z and name N, stick_bbone_4P4Z and name O, angle = 45, cutoff=3.4, hb_list_name = hbonds_4P4Z
create stick_4P4Z, 4P4Z
create surface_4P4Z, 4P4Z

create 5------4WC8----------------, 4WC8
create ribbon_4WC8, 4WC8
create stick_bbone_4WC8, 4WC8
list_hb stick_bbone_4WC8 and name N, stick_bbone_4WC8 and name O, angle = 45, cutoff=3.4, hb_list_name = hbonds_4WC8
create stick_4WC8, 4WC8
create surface_4WC8, 4WC8

create 6------4X0S----------------, 4X0S
create ribbon_4X0S, 4X0S
create stick_bbone_4X0S, 4X0S
list_hb stick_bbone_4X0S and name N, stick_bbone_4X0S and name O, angle = 45, cutoff=3.4, hb_list_name = hbonds_4X0S
create stick_4X0S, 4X0S
create surface_4X0S, 4X0S

remove stick_bbone_* and not name N+O+CA+C+CB+H02

hide everything, ribbon_*
show cartoon, ribbon_*
cartoon_fancy_helices, 0

hide everything, surface_*
show surface, surface_*
set transparency=0.4, surface_*

hide everything, stick_*
show stick, stick_*

set label_color, lightorange, ribbon_*
set label_outline_color, lightorange, ribbon_*
set label_shadow_mode=2, ribbon_*
set label_size, 30.0, ribbon_*

color wheat, name C*
color blue, name N*
color red, name O*

set sphere_quality, 10
set stick_quality, 20
set nb_sphere_quality, 20

set dash_color, black
set label_position, [0,1.3,1.75]
set dash_gap, 0.1
set dash_width, 6
set dash_length, 0.05

disable all
enable ribbon_4P4V
enable stick_bbone_4P4V
enable hbonds_4P4V

#delete 4P4V
#delete 4P4W
#delete 4P4X
#delete 4P4Y
#delete 4P4Z
#delete 4WC8
#delete 4X0S

set_view (\
     0.461012095,   -0.767572582,    0.445309937,\
     0.609693050,    0.638595819,    0.469542742,\
    -0.644779444,    0.055035692,    0.762383461,\
     0.000047842,    0.000003502,  -61.042366028,\
   -28.389003754,  -11.240781784,    6.251385689,\
    55.503868103,   66.572502136,  -20.000000000 )
### cut above here and paste into script ###